# SPEC file for nikto web server scanner

%define version    1.36
%define release    alt3

Name: nikto
Version: %version
Release: %release

Summary: web server vulnerability scaner
Summary(ru_RU.UTF-8): сканер уязвимостей веб-серверов

License: GPL
Group: Security/Networking
URL: http://www.cirt.net/code/nikto.shtml

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

Source0: http://www.cirt.net/nikto/%name-%version.tar.bz2
Source1: updates.tar.bz2

BuildArch: noarch

AutoReqProv: perl, yes
BuildPreReq: perl-devel

Requires: perl-Net-SSLeay openssl

%description
Nikto is an Open Source (GPL) web server scanner which performs
comprehensive tests  against  web servers  for multiple  items,
including  over 3200 potentially dangerous files/CGIs, versions
on over  625 servers, and version specific problems on over 230
servers.

%description -l ru_RU.UTF-8
Nikto  - это сканер веб-серверов, который производит подробное 
тестирование  веб-серверов по целому ряду параметров,  включая 
проверку на наличие свыше  3200 потенциально  опасных файлов и 
CGI-скриптов для более чем 625 версий серверов, а также других
проблем, специфичных для более чем 230 версий серверов.


%define plugindir %_datadir/%name/plugins
%define _perl_lib_path %plugindir

%prep
%setup 

# Updating sources to current databases
tar xvfj %SOURCE1
mv -f -- updates/CHANGES.txt docs/
mv -f -- updates/* plugins/

%build
# Fix version of man page
mv docs/nikto-1.36.man docs/nikto.1

# Fix location of config file
subst 's@"config.txt"@"%_sysconfdir/%name/config.txt"@' nikto.pl

# Fix location of plugins
subst 's@# PLUGINDIR=/usr/local/nikto/plugins@PLUGINDIR=%plugindir@' config.txt

%install
mkdir -p -- %buildroot/%_sysconfdir
mkdir -p -- %buildroot/%_bindir
mkdir -p -- %buildroot/%_datadir
mkdir -p -- %buildroot/%_man1dir

install -m 0755 -d -- %buildroot%_sysconfdir/%name
install -m 0644 -- config.txt   %buildroot%_sysconfdir/%name/config.txt
install -m 0644 -- plugins/versions.txt %buildroot%_sysconfdir/%name/versions.txt

install -m 0755 -- %name.pl %buildroot%_bindir/%name

install -m 0755 -d -- %buildroot%_datadir/%name
install -m 0755 -d -- %buildroot%plugindir
install -m 0644 -- plugins/* %buildroot%plugindir/

install -m 0644 -- docs/nikto.1 %buildroot%_man1dir/

%files
%doc docs/CHANGES.txt docs/LICENSE.txt docs/README_plugins.txt docs/nikto_usage.txt

%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/config.txt
%config %_sysconfdir/%name/versions.txt

%_bindir/%name
%dir %_datadir/%name
     %_datadir/%name/*

%_man1dir/%{name}*

%changelog
* Sat Aug 11 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.36-alt3
- Updating databases to current state
- Added header of Microsof Office Web server to nikto_headers.plugin

* Mon May 07 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.36-alt2
- Updating databases to current state
- nikto_core.plugin 1.39, fix check/send update code for improperly 
  setting IP instead of name in Host header.

* Tue Mar 27 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.36-alt1
- New version 1.36
  - Added -404 option to specify a "404 string" on the command line 
  - Added plugin to chek for PUT and DELETE 
  - Additional checks for HTTP methods 
  - Additional checks for headers 
  - Other bugfixes, please see the CHANGES file for more details 
- Updating databases to current state
- spec file cleanup

* Mon Aug 14 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.35-alt2
- Updating databases to current state

* Sun Apr 23 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.35-alt1
- Initial build for ALT Linux

